org.deidentifier.arx.risk

## Class RiskModelAttributes.QuasiIdentifierRisk

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelAttributes.QuasiIdentifierRisk

All Implemented Interfaces:
  java.lang.Comparable<RiskModelAttributes.QuasiIdentifierRisk>

Enclosing class:
  RiskModelAttributes

    public final class RiskModelAttributes.QuasiIdentifierRisk
    extends java.lang.Object
    implements java.lang.Comparable<RiskModelAttributes.QuasiIdentifierRisk>

Risks associated with a certain quasi-identifier

Author:
  Fabian Prasser, Maximilian Zitzmann

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(RiskModelAttributes.QuasiIdentifierRisk other)`
`double` `getDistinction()` Returns the alpha distinction parameter of this quasi-identifier
`java.util.List<java.lang.String>` `getIdentifier()` Returns the attributes in this quasi-identifier
`double` `getSeparation()` Returns the alpha separation parameter of this quasi-identifier

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### compareTo

    public int compareTo(RiskModelAttributes.QuasiIdentifierRisk other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<RiskModelAttributes.QuasiIdentifierRisk>`

#### getDistinction

    public double getDistinction()

Returns the alpha distinction parameter of this quasi-identifier

Returns:
  the alpha distinction

#### getIdentifier

    public java.util.List<java.lang.String> getIdentifier()

Returns the attributes in this quasi-identifier

Returns:
  the identifier

#### getSeparation

    public double getSeparation()

Returns the alpha separation parameter of this quasi-identifier

Returns:
  the alpha separation